Subject: Re: Probable bug in file run-command.c function clear_child_for_cleanup

From: David Gould <[email-masked]>
Date: Tue, 11 Sep 2012 09:40:51 +0100

Hi guys,

Sorry for the delayed reply - what passes for my real life intruded 
somewhat.

I'll get on to it today, but please be aware this will be my first-ever 
patch for ANY project, so am likely to foul up the process.

I am reading the How To Submit Patches document even now....

Cheers,
David

On 10/09/12 21:12, Junio C Hamano wrote:
> Jeff King <[email-masked]> writes:
>
>> On Mon, Sep 10, 2012 at 01:00:35PM -0700, Junio C Hamano wrote:
>>
>>>>> And to conclude my bikeshedding for the day: Shouldn't "last" ideally
>>>>> be called something like "prev" instead? It's the previously visited
>>>>> element, not the last element in the list.
>>>>
>>>> It is the "last" element visited (just as "last week" is not the end of
>>>> the world), but yes, it is ambiguous, and "prev" is not. Either is fine
>>>> by me.
>>>
>>> OK, so who's gonna do the honors?
>>
>> I was hoping to give David a chance to submit his first-ever patch to
>> git.
>
> OK. David, is it OK for us to expect a patch from you sometime not
> in distant future (it is an old bug we survived for a long time and
> nothing ultra-urgent)?
>

-- 
David Gould, Personal Trainer
	Register of Kettlebell Professionals
	INWA Nordic Walking Instructor
Optimise Fitness Ltd -- fit for life
01264 720709
www.optimisefitness.com